Package com.google.javascript.jscomp.ant

# Class Warning

java.lang.Object
com.google.javascript.jscomp.ant.Warning

public class Warning extends Object
Simple representation of a warning flag in Ant

## Constructor Summary

Constructors
Constructor
Description
`Warning()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getGroup()`
`CheckLevel`
`getLevel()`
`void`
`setGroup(String group)`
`void`
`setLevel(CheckLevel level)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Warning

public Warning()

## Method Details

### getGroup

public String getGroup()

### setGroup

public void setGroup(String group)

### getLevel

public CheckLevel getLevel()

### setLevel

public void setLevel(CheckLevel level)